# Tests the EXIT CODES section of abr-sub(1).

use strict;
use warnings FATAL => 'all';

use Test::More 'no_plan';

my $EX_USAGE = 64;
my $exit_cmdline_missing_name = 101;
my $exit_template_missing_name = 100;
my $exit_template_reuses_name = 103;
my $exit_syntax = 104;

is(system("blib/script/abr-sub --no-such-option 2>/dev/null") >> 8, $EX_USAGE);

is(system("blib/script/abr-sub --name bar t/data/templates/name_is_foo.cfg.abrt 2>/dev/null") >> 8, $exit_cmdline_missing_name);

is(system("blib/script/abr-sub --name foo t/data/templates/name_is_foo_twice.cfg.abrt 2>/dev/null") >> 8, $exit_template_reuses_name);

is(system("blib/script/abr-sub "
  . "--secret-file t/data/passwords/2 "
  . "--name bar "

  . "--name foo "
  . "--secret-file t/data/passwords/1 "
  
  . "--name quux "
  . "--secret-file t/data/passwords/3 "

  . "--name badextraname "
  . "--secret-file t/data/passwords/3 "
  
  . "t/data/templates/example.cfg "
  . "t/data/output/example.cfg "

  . "2>/dev/null") >> 8, $exit_template_missing_name);
